<!DOCTYPE html>
<html>
  <head>
    <title>Seeyousoon</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <div id="flex-content-container">
      <nav class="navbar navbar-toggleable-md navbar-inverse bg-inverse">
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <a class="navbar-brand" href= / >seeyousoon</a>

        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
          <ul class="navbar-nav">
            <% if user_signed_in? %>
              <li class="nav-item">
                <%= link_to 'Create a New Event',
                new_event_planner_event_path, class: 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to 'My Events Page', event_planner_events_path(current_user), class: 'nav-link' %>   
              </li> 
              <li class="nav-item">
                <%= link_to 'Sign Out', destroy_user_session_path, method: :delete, class: 'nav-link' %>
              </li>
            <% else %>
              <li class="nav-item">
                <%= link_to 'Sign In', new_user_session_path, class: 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to 'Sign up', new_user_registration_path, class: 'nav-link' %>
              </li>
            <% end %>
          </ul>
        </div>
      </nav>


      <% if notice.present? %>
        <p class="alert alert-info"><%= notice %></p>
      <% end %>
      <% if alert.present? %>
        <p class="alert alert-danger"><%= alert %></p>
      <% end %>

      <%= yield %>
    </div>

    <div id="footer">
<!--       <div class="container">
        <b>Footer Here</b>
        <br />
        <%= link_to 'Create a New Event', new_event_planner_event_path %>
      </div>
 -->    </div>
  </body>
</html>
